Voidcrid
===============
*Theoretically, the true contents of the cell were just a mess of atoms. The structure of the contents in each cell* *– living, weapon, whatever - was categorized, sequenced, and then turned to juice and cured into solid gems. An incredibly efficient and lossless format.*

*And yet when the cell containment broke – and emergency protocols re-sequenced that mess of atoms back into the creature known as Acrid – he already knew. Maybe he was somehow conscious, in his juice-gem state. Maybe they injected him with information. Maybe he was connected to their psionic network. Maybe he just made it up.*

*But he knew – that the strange crustaceans that scrambled his atoms and imprisoned him here, in a place unknown – were panicking. Something had gone wrong, in a world where variables were not allowed.*

*Something was leaking and...fusing...*

*They may have finally imprisoned something that could not be contained.*

*And this finality brought to him a new thought: to contain the crustaceans and subject them to the horrors of the deep.*


![1](https://cdn.discordapp.com/attachments/663444052418756631/1045026397216850080/Risk_of_Rain_2_11_23_2022_12_19_24_PM.png)


## New Abilites:
- Flamebreath
- N?ll Beam
- Void Dr?ft
- Entr?py

## New Skins:
- Voidcrid
- Blackrid

## New Ways to Play:
Rethink the way Acrid prowls the battlefield. Tap into the horrors you once suffered to become something stronger, something...*unpredictable.*


## Planned Updates:

- New Skins (Concept art by Serpyderpy)
- Skills++ (Currently WIP)

![2](https://cdn.discordapp.com/attachments/1016725529522606112/1045628643747045477/voidcrid.png)


## Credits:

- All the best parts of this mod go to Christ Jesus, as all things are by Him and through Him and for Him.
- My wife, for entertaining my many, "Hey, what do you think of this?" moments
- @CDPlayer416 -- you know who you are. Cheers to our years of friendship, and thanks for testing this with me for so many hours.
- #development Discord. You all were a huge resource in the many questions I had in learning C#. Thank you!

## Feedback:

@Unanimate Objec in the Risk of Rain 2 Discord for any feedback including: complaints, compliments, or ideas for future releases

## Known Issues:
- Currently none

## Changelog:

1.3.3 - Aisle 12

- Moved all vars loading Addressables into ES constructors
- Fixed Ethereal Drift cancelling other skills
- Fixed a bug where users would become Glacial after using Entropy
- Added config options for Entropy / Umbral Entropy Damage Heal & Hurt values
- Fixed Entropy's spine glow not accepting user input
- Fixed Entropy and Ethereal Drift ~~notworking~~ networking
- Added intial code for Skills++, but is inactive at this time
- Slightly tweaked Grandfather Paradox description for less abstraction

*Dev notes: Lots of cleaning up. Thanks to everyone who's played! Always feel free to hit me up with any feedback.*

1.3.2 - Voidzilla

- Added emissions to Voidcrid's spines when performing Void abilities
- Added config to change the color for preference or color-blinded purposes
- Added CHANGELOG.md for historical changes to clean up front page
- Delete configs to acquire updated config

*Dev notes: Always wanted to do this, figured out how.*

1.3.1 - Deeprot Synergy

- Cleaned up some pretty awful code
- Added support for Spikestrip
- Added new Deeprot support: All Void abilites will apply Deeprot if selected. (Thanks @DΞMONBØY.exe for the idea!)

*Dev notes: Running a fully Void loadout will provide syngery with Deeprot that was not possible before.* 

*Other passives will not apply to Void skills in an effort to provide reasons for using base skills.*

1.3.0 - Fresh Paint

- Added **three** new achievements to unlock Void skills
- Updated project to mirror split assembly R2API transformation
- Updated Entropy's base damage (4)
- Renamed Deeprotted Entroy => Umbral Entropy
- Updated Umbral Entropy's base damage (5)
- Updated Voidcrid Icon
- Publicized Voidcrid Github repo
- Updated Entropy to include vortex attack when skill is held
- Reduced Entropy self-damage to 15%
- Voidcrid skin will be comissioned, eventually.

*Dev notes: New skins (hopefully) coming soon, once I learn Blender more.*

*Repo has been made public for anyone who wants to assist with troubleshooting the networking for Ethereal Drift and Entropy. Multiple other mod creators have not been able to identify why the simple network check is not working.*